const packageEnv = require('../package.json');
/* sentry */
function getEnv() {
  const env = process.env.mode || '';
  let environment = '';
  switch (env) {
    case 'test':
      environment = 'development';
      break;
    case 'pre':
      environment = 'preview';
      break;
    case '':
      environment = 'production';
      break;
    default:
      environment = 'production';
      break;
  }
  return environment;
}
export const sentryOptions = {
  dsn: `https://2fdea25b53284316bae9eadd5206164c@sentry.guangdianyun.tv/20`,
  version: packageEnv.version,
  env: getEnv(),
  name: packageEnv.name
};

module.exports = {
  DEF_DOMAIM: '//apiliveroom.dev.guangdianyun.tv/v1',
  DEF_OSS: '//static-pro.guangdianyun.tv',
  X_CA_STAGE: '',
  private: false,
  sentryOptions
};
